'use strict'

/*
|--------------------------------------------------------------------------
| Routes
|--------------------------------------------------------------------------
|
| Http routes are entry points to your web application. You can create
| routes for different URL's and bind Controller actions to them.
|
| A complete guide on routing is available here.
| http://adonisjs.com/docs/4.1/routing
|
*/

/** @type {typeof import('@adonisjs/framework/src/Route/Manager')} */
const Route = use('Route')

// Main routes
Route.on('/').render('index')

// Resource Routes (FULL CRUD)
Route.resource('/themes','ThemeController')
Route.resource('/elements', 'ElementController')
Route.resource('/contacts', 'ContactController')